# types_traits.hpp File Reference

## Detailed Description

Contains a traits class of types used by containers.

Definition in file types_traits.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds
- namespace pb_ds::detail

## Classes

- struct pb_ds::detail::types_traits< Key, Mapped, Alloc, Store_Extra >
- struct pb_ds::detail::vt_base_selector< Key, Mapped, Alloc, Store_Extra >